Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface PrimaryKeyMetadata

All Superinterfaces:
  Metadata

    public interface PrimaryKeyMetadata

extends Metadata

Represents the primary key definition of a class.

Since:
  3.0

Method Summary
`java.lang.String` | `getColumn()` Accessor for the PK column name
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the PK.
`java.lang.String` | `getName()` Accessor for the name of the PK constraint.
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this PK
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this PK
`PrimaryKeyMetadata` | `setColumn(java.lang.String column)` Method to set the PK column name.
`PrimaryKeyMetadata` | `setName(java.lang.String name)` Method to set the name of the PK constraint.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setName

    PrimaryKeyMetadata setName(java.lang.String name)

  Method to set the name of the PK constraint.

  Parameters:
    `name` - Name of the PK constraint
  Returns:
    The PK metadata

### getName

    java.lang.String getName()

  Accessor for the name of the PK constraint.

  Returns:
    The PK constraint name

### setColumn

    PrimaryKeyMetadata setColumn(java.lang.String column)

  Method to set the PK column name.

  Parameters:
    `column` - Name of the PK column
  Returns:
    The PK metadata

### getColumn

    java.lang.String getColumn()

  Accessor for the PK column name

  Returns:
    The column name

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the PK.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this PK

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this PK

  Returns:
    The number of columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.